--[[ 
SpecialMounts 7.2.0.01

Special Mounts is a list of all the mounts that have
unique qualities that satisfy the special cases in the
main (LetsRide.lua) file.

Special mounts has one function which returns a boolean if
the passed companion ID matches an ID from the designated array

Notes:
The numbers are the associated ID for each mount as would
be returned from the call GetCompanionInfo("MOUNT",i). This
number can be found on WoWHead.com as the "NPC" id.
--]]

local addonName, addonTable = ...

addonTable.sMounts = {}

-- Passenger Ground Mounts
addonTable.sMounts.gPax = {
61465,	-- Grand Black War Mammoth (Alliance)
61467,	-- Grand Black War Mammoth (Horde)
122708,	-- Grand Expedition Yak
61469,	-- Grand Ice Mammoth (Alliance)
61470,	-- Grand Ice Mammoth (Horde)
55531,	-- Mechano-Hog (Horde only)
60424,	-- Mekgineer's Chopper (Alliance only)
61425,	-- Traveler's Tundra Mammoth (Alliance)
61447	-- Traveler's Tundra Mammoth (Horde)
}

-- Passenger Flying Mounts
addonTable.sMounts.fPax = {
121820,	-- Obsidian Nightwing (Heart of the Nightwing)
93326,	-- Sandstone Drake (Vial of the Sands)
75973	-- X-53 Touring Rocket
}

-- Vendor Mounts
addonTable.sMounts.vendor = {
122708,	-- Grand Expedition Yak
61425,	-- Traveler's Tundra Mammoth (Alliance)
61447	-- Traveler's Tundra Mammoth (Horde)
}

-- Swimming Mounts
addonTable.sMounts.swim = {
214791,	-- Brinedeep Bottom-Feeder
223018,	-- Fathom Dweller
30174,	-- Riding Turtle
64731,	-- Sea Turtle
98718	-- Subdued Seahorse
}

-- Qiraji Battle Tanks (AQ40 only)
addonTable.sMounts.qiraji = {
25953,	-- Blue
26056,	-- Green
26054,	-- Red
26055	-- Yellow
}
-- Note that Black and Ultramarine are intentionally left off

-- Vashjir Abyssal Seahorse
addonTable.sMounts.seahorse = {
75207	-- Abyssal (Vashj'ir) Seahorse
}

-- Water Walking Mounts
addonTable.sMounts.strider = {
118089,	-- Azure Water Strider
127271	-- Crimson Water Strider
}


-- Check if the current mount is one of the special cases
-- Takes a specialty (string) and compairs to the spellID (number) of
-- the mount in question.
-- Returns true if spellID is found.
function addonTable.IsSpecialMount(specialty, cId)
	for i,v in ipairs(addonTable.sMounts[specialty]) do 
		if cId == v then 
		 return true
		end
	end
end

--[[
-- Testing
function LetsRide:GetSpecialMounts()
 print("So far, so Good")
end
--]]